<mat-card>
  <mat-card-title>Alticci Value</mat-card-title>

  <form>
    <mat-form-field appearance="fill">
      <mat-label>Give a number</mat-label>
      <input matInput #inputNumber type="number">
    </mat-form-field>
    <mat-form-field appearance="fill">
      <mat-label>Result</mat-label>
      <input matInput readonly type="text" value="{{ alticciValue }}">
    </mat-form-field>
  </form>

  <mat-card-actions>
    <button mat-raised-button color="primary"
            (click)="getAlticciValue(+inputNumber.value)">
      Get value
    </button>
  </mat-card-actions>
</mat-card>
